org.bouncycastle.asn1.cmp

## Class CertRepMessage

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.CertRepMessage

All Implemented Interfaces:
  DEREncodable

    public class CertRepMessage
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`CMPCertificate[]` `getCaPubs()`
`static CertRepMessage` `getInstance(java.lang.Object o)`
`CertResponse[]` `getResponse()`
`DERObject` `toASN1Object()` CertRepMessage ::= SEQUENCE { caPubs [1] SEQUENCE SIZE (1..MAX) OF CMPCertificate OPTIONAL, response SEQUENCE OF CertResponse }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static CertRepMessage getInstance(java.lang.Object o)

#### getCaPubs

    public CMPCertificate[] getCaPubs()

#### getResponse

    public CertResponse[] getResponse()

#### toASN1Object

    public DERObject toASN1Object()

     CertRepMessage ::= SEQUENCE {
                              caPubs       [1] SEQUENCE SIZE (1..MAX) OF CMPCertificate
                                                                                 OPTIONAL,
                              response         SEQUENCE OF CertResponse
     }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.